Getting Error After Replit Automatically updated the new environment

Ok, this error is happening somewhere else as well, seems like a Replit issue:

It’s a bug caused by the Nix migration IIRC. Here’s a fix to pass around:

4 Likes


I tried pip install flask then i got this new error

Seems like pip install flask is working. Try pip install telegram.

1 Like

Ok, I don’t know anymore.

Maybe pip install -U telegram?

1 Like

I tried this but still the same Import error

Hey, @GSV-GROUPGROUP welcome to the forums!

Can you please provide a link to the repl? This way it is easier for staff and members of the community to help you!

Also see this guide on how to share your code:

1 Like

https://replit.com/@GSV-GROUPGROUP/SharksPremiumKLSE?v=1

Try running poetry update, looks like the telagram package was not the right one, but you already have the right one in your pyproject.toml.

Can you please explain more how to update poetry… Not a coder :pray: :pray:

Run the command in shell… might need to pip install first tho

2 Likes

Thank you so much… finally Bot live but still got some issues

photo_2023-05-31_11-16-26

But i didn’t receive any text in telegram channel

Temporary solution it seems by replit staff:

Solved Laboriously :

  • copy project directory (manually & tediously) to new python repl
  • since it starts a fresh with new nix env
  • copy secrets
  • copy packages
  • Run

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.